%define pkg_name        XML-Stream
%define pkg_version     1.22
%define rpm_pkg_version 1.22
%define rpm_pkg_release 4.n0i.10

Summary:       Module for handling XML Streams
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RE/REATMON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Authen::SASL)}
%{!?_without_test:BuildRequires: perl(MIME::Base64)}


%description
This module provides the user with methods to connect to a remote server,
send a stream of XML to the server, and receive/parse an XML stream from the
server.  It is primarily based work for the Etherx XML router developed by
the Jabber Development Team.
For more information about this project visit:
	http://etherx.jabber.org/stream/.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES INFO LICENSE.LGPL README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.22-4.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.22-3.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.22-2.n0i.8
- automatic rebuild (perl 5.8.6)

* Fri Dec 03 2004 Marius Feraru <altblue@n0i.net> 0:1.22-2.n0i.7
- version 1.22

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.21-1.n0i.6
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:1.21-1.n0i.5
- automatic rebuild

* Wed Apr 07 2004 Marius FERARU <altblue@n0i.net> 0:1.21-1.n0i.4
- version 1.21

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:1.19-1.n0i.3
- version 1.19
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:1.17-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:1.17-0.n0i.1
- version 1.17
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
